module command.remoteundostatusmacro.tvoncommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.tv;

class TVOnCommand : Command
{
    TV tv;

    this(TV tv)
    {
        this.tv = tv;
    }

    void execute()
    {
        tv.on();
        tv.setInputChannel();
    }

    void undo()
    {
        tv.off();
    }
}
